GroovyPageInjectionOperation (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.compiler.web.pages
[Java] Class GroovyPageInjectionOperation

    java.lang.Object
      org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation
          org.codehaus.groovy.grails.compiler.injection.GrailsAwareInjectionOperation
              org.codehaus.groovy.grails.compiler.web.pages.GroovyPageInjectionOperation

    public class GroovyPageInjectionOperation
    extends GrailsAwareInjectionOperation

A GroovyPage compiler injection operation that uses a specified array of ClassInjector instances to attempt AST injection.

Authors:
  Stephane Maldini

Since:
  2.0

Method Summary
`void` | `call(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)`

Methods inherited from class GrailsAwareInjectionOperation
call, getClassInjectors, getLocalClassInjectors

Methods inherited from class org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation
org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#call(org.codehaus.groovy.control.SourceUnit, org.codehaus.groovy.classgen.GeneratorContext, org.codehaus.groovy.ast.ClassNode), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#needSortedInput(), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#wait(long, int), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#wait(long), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#wait(), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#equals(java.lang.Object), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#toString(), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#hashCode(), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#getClass(), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#notify(), org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation#notifyAll()

Method Detail

### call

    @java.lang.Override
    public void call(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)

Groovy Documentation